#
#   - Filesys::Df -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   (ALT Linux revision)
#   The following arguments were used:
#       Filesys-Df
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module Filesys-Df
%define m_distro Filesys-Df
%define m_name Filesys::Df
%define m_author_id unknown
%define _enable_test 1

Name: perl-Filesys-Df
Version: 0.92
Release: alt1.1

Summary: Perl extension for filesystem disk space information.

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Slava Dubrovskiy <dubrsl@altlinux.org>

Source: %m_distro-%version.tar.gz

# Automatically added by buildreq on Tue Apr 06 2010
BuildRequires: perl-devel

%description
This module provides a way to obtain filesystem disk space
information. This is a Unix only distribution. If you want to
gather this information for Unix and Windows, use "Filesys::DfPortable".
The only major benefit of using "Filesys::Df" over "Filesys::DfPortable",
is that "Filesys::Df" supports the use of open filehandles as arguments.

The module should work with all flavors of Unix that implement the
"statvfs()" and "fstatvfs()" calls, or the "statfs()" and "fstatfs()" calls.
This would include Linux, *BSD, HP-UX, AIX, Solaris, Mac OS X, Irix,
Cygwin, etc ...

"df()" requires a argument that represents the filesystem you want to
query. The argument can be either a scalar directory/file name or a
open filehandle. There is also an optional block size argument so
you can tailor the size of the values returned. The default block
size is 1024. This will cause the function to return the values in 1k
blocks. If you want bytes, set the block size to 1.

"df()" returns a reference to a hash. The keys available in
the hash are as follows:

"{blocks}" = Total blocks on the filesystem.

"{bfree}" = Total blocks free on the filesystem.

"{bavail}" = Total blocks available to the user executing the Perl
application. This can be different than "{bfree}" if you have per-user
quotas on the filesystem, or if the super user has a reserved amount.
"{bavail}" can also be a negative value because of this. For instance
if there is more space being used then you have available to you.

"{used}" = Total blocks used on the filesystem.

"{per}" = Percent of disk space used. This is based on the disk space
available to the user executing the application. In other words, if
the filesystem has 10% of its space reserved for the superuser, then
the percent used can go up to 110%.

You can obtain inode information through the module as well, but you
must call "exists()" on the "{files}" key first, to make sure the information
is available. Some filesystems may not return inode information, for example
some NFS filesystems.

Here are the available inode keys:

"{files}" = Total inodes on the filesystem.

"{ffree}" = Total inodes free on the filesystem.

"{favail}" = Total inodes available to the user executing the application.
See the rules for the "{bavail}" key.

"{fused}" = Total inodes used on the filesystem.

"{fper}" = Percent of inodes used on the filesystem. See rules for the "{per}"
key.

There are some undocumented keys that are defined to maintain backwards
compatibilty: "{su_blocks}", "{user_blocks}", etc ...

If the "df()" call fails for any reason, it will return
undef. This will probably happen if you do anything crazy like try
to get information for /proc, or if you pass an invalid filesystem name,
or if there is an internal error. "df()" will "croak()" if you pass
it a undefined value.

Requirements:
Your system must contain "statvfs()" and "fstatvfs()", or "statfs()" and "fstatfs()"
You must be running Perl 5.6 or higher.

%prep
%setup -q -n %m_distro-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/Filesys
%perl_vendor_autolib/Filesys

%changelog
* Sat Nov 06 2010 Vladimir Lettiev <crux@altlinux.ru> 0.92-alt1.1
- rebuilt with perl 5.12

* Tue Apr 06 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 0.92-alt1
- initial build for ALT Linux Sisyphus

